Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLEmitterConfig

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption
          org.eclipse.birt.report.engine.api.RenderOption
              org.eclipse.birt.report.engine.api.HTMLRenderOption
                  org.eclipse.birt.report.engine.api.HTMLEmitterConfig

All Implemented Interfaces:
  IHTMLRenderOption, IRenderOption, ITaskOption

Deprecated. since 2.2, use HTMLRenderOption or RenderOption directly

    public class HTMLEmitterConfig

extends HTMLRenderOption

Defines an emitter configuration class for HTML output format

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption
`options`

Fields inherited from interface org.eclipse.birt.report.engine.api.IHTMLRenderOption
`BASE_IMAGE_URL, HTML, HTML_DISPLAY_FILTER_ICON, HTML_DISPLAY_GROUP_ICON, HTML_ENABLE_AGENTSTYLE_ENGINE, HTML_ENABLE_INLINE_STYLE, HTML_ENABLE_METADATA, HTML_ID_NAMESPACE, HTML_INCLUDE_SELECTION_HANDLE, HTML_INDENT, HTML_LAYOUT_PREFERENCE, HTML_NOCSS, HTML_OUTPUT_MASTER_PAGE_MARGINS, HTML_RTL_FLAG, HTML_TITLE, HTML_TYPE, HTML_VIEWPORT_META, HTML_WRAP_TEMPLATE_TABLE, IMAGE_DIRECTROY, INSTANCE_ID_LIST, LAYOUT_PREFERENCE_AUTO, LAYOUT_PREFERENCE_FIXED, MASTER_PAGE_CONTENT, METADATA_FILTER, PAGEFOOTER_FLOAT_FLAG, URL_ENCODING, USER_AGENT`

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Constructor Summary
`HTMLEmitterConfig()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.birt.report.engine.api.HTMLRenderOption
`getBaseImageURL, getDisplayFilterIcon, getDisplayGroupIcon, getEmbeddable, getEnableAgentStyleEngine, getEnableInlineStyle, getEnableMetadata, getHTMLIDNamespace, getHTMLIndent, getHtmlPagination, getHtmlRtLFlag, getHtmlTitle, getImageDirectory, getIncludeSelectionHandle, getInstanceIDs, getLayoutPreference, getMasterPageContent, getMetadataFilter, getOutputMasterPageMargins, getPageFooterFloatFlag, getUrlEncoding, getUserAgent, getViewportMeta, getWrapTemplateTable, setBaseImageURL, setDisplayFilterIcon, setDisplayGroupIcon, setEmbeddable, setEnableAgentStyleEngine, setEnableInlineStyle, setEnableMetadata, setHTMLIDNamespace, setHTMLIndent, setHtmlPagination, setHtmlRtLFlag, setHtmlTitle, setImageDirectory, setIncludeSelectionHandle, setInstanceIDs, setLayoutPreference, setMasterPageContent, setMetadataFilter, setOutputMasterPageMargins, setPageFooterFloatFlag, setUrlEncoding, setUserAgent, setViewportMeta, setWrapTemplateTable`

Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption
`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption
`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Constructor Detail

### HTMLEmitterConfig

    public HTMLEmitterConfig()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.